{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_layout.html.twig' %}
{% import "DatatourismeWebAppBundle::macros.html.twig" as macros %}
{% import ":_includes:macros.html.twig" as appMacros %}

{% block content %}
    <section class="content dashboard">
        <!-- /.row -->
        <div class="row">
            <div class="col-md-5">
                <h3 class="m-t-0 fs-20">{{ 'title.welcome' | trans }}</h3>
                <div class="box box-solid">
                    <div class="box-body">
                        {{ 'text.welcome' | trans | raw }}
                        {% if app.user.flux|length == 0%}
                            <a href="{{ path('flux.create') }}" class="btn btn-primary btn-block">{{ 'label.create_first_flux' | trans }}</a>
                        {% else %}
                            <a href="{{ path('flux.index') }}" class="btn btn-primary btn-block">{{ 'label.goto_flux_index' | trans }}</a>
                        {% endif %}
                    </div>
                </div>

                <div>
                    <div class="box-tools pull-right">
                        <a href="https://support.datatourisme.gouv.fr/c/announcements" target="_blank" class="btn btn-box-tool"><i class="fa fa-mail-forward"></i> {{ 'label.more_announcements' | trans }}</a>
                    </div>
                    <h3 class="m-t-0 fs-20">{{ 'title.last_announcements' | trans }}</h3>
                </div>
                <div class="box box-default">
                    <div class="box-body p-0">
                        {% for topic in latestAnnouncements %}
                        <div class="announcement">
                            <span class="announcement-date text-muted pull-right" title="{{ (topic.created_at|moment).format('d M Y') }}">{{ (topic.created_at|moment).fromNow().relative }}</span>
                            <div class="announcement-title"><a href="{{ discourse.topicUrl(topic) }}" target="_blank">{{ topic.title }}</a></div>
                            {% if topic.post is defined %}
                                <div class="announcement-body">
                                    {{ topic.post.cooked | raw }}
                                </div>
                            {% endif %}
                        </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
            <div class="col-md-7">
                <div>
                    <div class="box-tools pull-right">
                        <a href="https://support.datatourisme.gouv.fr" target="_blank" class="btn btn-box-tool"><i class="fa fa-mail-forward"></i> {{ 'label.more_topics' | trans }}</a>
                    </div>
                    <h3 class="m-t-0 fs-20">{{ 'title.last_topics' | trans }}</h3>
                </div>
                <div class="box box-default">
                    <div class="box-body p-0">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>{{ 'label.subject' | trans }}</th>
                                    <th>{{ 'label.replies' | trans }}</th>
                                    <th>{{ 'label.views' | trans }}</th>
                                    <th>{{ 'label.activity' | trans }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for topic in latestTopics %}
                                {% set category = categories[topic.category_id] %}
                                <tr class="topic">
                                    <td>
                                        <div class="topic-title"><a href="{{ discourse.topicUrl(topic) }}" target="_blank">{{ topic.title }}</a></div>
                                        <span class="label label-topic-category" style="background-color:#{{ category.color }}; color:#{{ category.text_color }}">{{ category.name }}</span>
                                    </td>
                                    <td class="text-muted">{{ topic.posts_count - 1 }}</td>
                                    <td class="text-muted">{{ topic.views }}</td>
                                    <td class="text-muted" title="{{ (topic.bumped_at|moment).format('d M Y') }}">{{ (topic.bumped_at|moment).fromNow().relative }}</td>
                                </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}